=== debian/changelog ===
labltk (8.06.15-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:54:26 +0200

labltk (8.06.15-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2025 17:04:44 +0100
